# GeometryVisualizer

#### new Cesium.GeometryVisualizer(scene, entityCollection, primitives, groundPrimitives)
engine/Source/DataSources/GeometryVisualizer.js 34

A general purpose visualizer for geometry represented by `Primitive` instances.

Name | Type | Default | Description
--- | --- | --- | ---
`scene` | Scene |  | The scene the primitives will be rendered in.
`entityCollection` | EntityCollection |  | The entityCollection to visualize.
`primitives` | PrimitiveCollection | `scene.primitives` | optional A collection to add primitives related to the entities
`groundPrimitives` | PrimitiveCollection | `scene.groundPrimitives` | optional A collection to add ground primitives related to the entities

### Methods

#### destroy()
engine/Source/DataSources/GeometryVisualizer.js 389

Removes and destroys all primitives created by this instance.

#### isDestroyed() → boolean
engine/Source/DataSources/GeometryVisualizer.js 382

Returns true if this object was destroyed; otherwise, false.

##### Returns:

True if this object was destroyed; otherwise, false.

#### update(time) → boolean
engine/Source/DataSources/GeometryVisualizer.js 240

Updates all of the primitives created by this visualizer to match their Entity counterpart at the given time.

Name | Type | Description
--- | --- | ---
`time` | JulianDate | The time to update to.

##### Returns:

True if the visualizer successfully updated to the provided time, false if the visualizer is waiting for asynchronous primitives to be created.

Need help? The fastest way to get answers is from the community and team on the Cesium Forum.